## ros-indigo-pr2-make-a-map-app 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_make_a_map_app)
find_package(catkin REQUIRED COMPONENTS pr2_position_scripts gmapping tf topic_tools map_store)

catkin_package(
    DEPENDS 
    CATKIN_DEPENDS pr2_position_scripts gmapping tf topic_tools map_store# TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

install(FILES make_a_map.app make_a_map.interface make_a_map.launch slam_gmapping.xml map.jpg DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-pr2-make-a-map-app (1.0.4-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 10 Feb 2015 06:00:00 -0000

ros-indigo-pr2-make-a-map-app (1.0.3-0trusty) trusty; urgency=high

  * Changed topics to topic; bug fix
  * Fixed cmake bug
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 17 Sep 2014 05:00:00 -0000

ros-indigo-pr2-make-a-map-app (1.0.2-0trusty) trusty; urgency=high

  * Updated install targets in CMakeList
  * Removed ROSNOBUILD
  * Changelogs and removed stack.xml
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 16 Sep 2014 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-make-a-map-app
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-gmapping, ros-indigo-map-store, ros-indigo-pr2-position-scripts, ros-indigo-tf, ros-indigo-topic-tools
Homepage: http://ros.org/wiki/make_a_map
Standards-Version: 3.9.2

Package: ros-indigo-pr2-make-a-map-app
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-gmapping, ros-indigo-map-store, ros-indigo-pr2-position-scripts, ros-indigo-tf, ros-indigo-topic-tools
Description: Make maps using the PR2 robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-make-a-map-app//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
